var JPushRegistrationID;

/**
 * 在device ready的时候初始化
 */
function initJPush() {
    try {
        JPush.init();
        if (device.platform != "Android") {
            JPush.setDebugModeFromIos();
            JPush.setApplicationIconBadgeNumber(0);
            registerJpush();
        } else {
            JPush.setDebugMode(true);
            // JPush.setStatisticsOpen(true);
            registerJpush();
        }
    } catch (exception) {
        console.log(exception);
    }
}
//清除角标
function appIcon() {
    JPush.setApplicationIconBadgeNumber(0);
}
/**
 * 如果已经获得了registrationId，直接返回，如果没有，就重新初始化jpush。
 * @param callback
 */
function getJPushRegistrationID(callback) {
    // alert("getJPushRegistrationID->"+JPushRegistrationID);
    if(JPushRegistrationID!=null&&JPushRegistrationID.length>0)
        callback(JPushRegistrationID);
    else{
        try {
            JPush.init();
            if (device.platform != "Android") {
                JPush.setDebugModeFromIos();
                JPush.setApplicationIconBadgeNumber(0);
                setJPushRegistrationID(callback);
            } else {
                JPush.setDebugMode(true);
                // JPush.setStatisticsOpen(true);
                setJPushRegistrationID(callback);
            }
        } catch (exception) {
            console.log(exception);
        }
    }
};
function registerJpush(){
    setJPushRegistrationID(onGetRegistrationID);
}
function setJPushRegistrationID(callback) {
    JPush.getRegistrationID(callback);
};
function onGetRegistrationID(data) {
    try {
        // alert("JPushPlugin:registrationID is " + data);
        if (data.length == 0) {
            var t1 = window.setTimeout(initJPush, 5000);
        }else
            JPushRegistrationID=data;
    } catch (exception) {
        console.log(exception);
    }
}

function setBadge(value){
    JPush.setApplicationIconBadgeNumber(value);
}
