/**
 * Created by qhh on 2017-06-10.
 */
function isWechatInstalled(successCallback, failCalback) {
    Wechat.isInstalled(successCallback, failCalback);
}
function authWechat(successCallback, failCalback) {
    var scope = "snsapi_userinfo",
        state = "_" + (+new Date());
    Wechat.auth(scope, state, successCallback, failCalback);
}
function wechatShareWebPageToTimeline(url, title, description, thumb, successCallback, failCalback) {
    Wechat.share({
        message: {
            title: title,
            description: description,
            thumb: thumb,
            media: {
                type: Wechat.Type.WEBPAGE,
                webpageUrl: url
            }
        },
        scene: Wechat.Scene.TIMELINE   // share to Timeline
    }, successCallback, failCalback);
}
function wechatShareWebPageToFriend(url, title, description, thumb, successCallback, failCalback) {
    Wechat.share({
        message: {
            title: title,
            description: description,
            thumb: thumb,
            media: {
                type: Wechat.Type.WEBPAGE,
                webpageUrl: url
            }
        },
        scene: Wechat.Scene.SESSION   // share to Timeline
    }, successCallback, failCalback);
}


function weiboSSOLogin(successCallback, failCalback) {
    WeiboSDK.ssoLogin(successCallback, failCalback);
}


function qqCheckClientInstalled(successCallback, failCalback) {
    var args = {};
    args.client = QQSDK.ClientType.QQ;//QQSDK.ClientType.QQ,QQSDK.ClientType.TIM;
    QQSDK.checkClientInstalled(successCallback, failCalback, args);
}

function qqSSOLogin(successCallback, failCalback) {
    var args = {};
    args.client = QQSDK.ClientType.QQ;//QQSDK.ClientType.QQ,QQSDK.ClientType.TIM;
    QQSDK.ssoLogin(successCallback, failCalback, args);
}
function qqSSOLogout(successCallback, failCalback) {
    QQSDK.logout(successCallback, failCalback, args);
}
function qqShareToFriendLink(url, title, description, thumb, successCallback, failCalback) {
    var args = {};
    args.client = QQSDK.ClientType.QQ;//QQSDK.ClientType.QQ,QQSDK.ClientType.TIM;
    args.scene = QQSDK.Scene.QQ;//QQSDK.Scene.QQZone,QQSDK.Scene.Favorite
    args.url = url;
    args.title = title;
    args.description = description;
    args.image = thumb;
    QQSDK.shareNews(successCallback, failCalback, args);
}